//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
        TScrollBox *ScrollBox;
        TStatusBar *StatusBar;
        TMainMenu *MainMenu;
        TMenuItem *N1;
        TMenuItem *N2;
        TMenuItem *N3;
        TMenuItem *N4;
        TOpenDialog *OpenDialog;
        TImage *Image;
        TMenuItem *N5;
        TMenuItem *N6;
        TSaveDialog *SaveDialog;
        TMenuItem *N7;
        TMenuItem *N8;
        TMenuItem *N9;
        TMenuItem *N10;
        TMenuItem *N11;
        TMenuItem *N12;
        TMenuItem *N13;
        TMenuItem *N14;
        TMenuItem *N15;
        TMenuItem *N16;
        TColorDialog *ColorDialog;
        TMenuItem *N17;
        TMenuItem *N18;
        TMenuItem *N19;
        void __fastcall N4Click(TObject *Sender);
        void __fastcall N2Click(TObject *Sender);
        void __fastcall N5Click(TObject *Sender);
        void __fastcall N6Click(TObject *Sender);
        void __fastcall N7Click(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall N9Click(TObject *Sender);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall N10Click(TObject *Sender);
        void __fastcall N11Click(TObject *Sender);
        void __fastcall N12Click(TObject *Sender);
        void __fastcall N14Click(TObject *Sender);
        void __fastcall N13Click(TObject *Sender);
        void __fastcall N16Click(TObject *Sender);
        void __fastcall N18Click(TObject *Sender);
        void __fastcall N19Click(TObject *Sender);
private:	// User declarations
        BITMAPFILEHEADER bf;
        BITMAPINFOHEADER bi;
        char *buf;
        int buf_size;
        int rem;
        bool Modified;
        bool FirstCreated;
        AnsiString FileName;
        TColor bgcolor;
        int __fastcall AdjustBufSize(int, int, int&);
        void __fastcall UpdateImage();
        void __fastcall UpdateStatus();
        void __fastcall UpdateTitle();
        void __fastcall Open(AnsiString);
        void __fastcall Save(AnsiString);
        bool __fastcall SaveModified();
        void __fastcall NewImage(int, int, TColor);
        char* __fastcall CreateTempImage(int, int, int&);
        void __fastcall Invert();
        void __fastcall Clear(TColor);
        void __fastcall Rotate(float, bool);
        void __fastcall Scale(int, int);
        void __fastcall FlipH();
        void __fastcall FlipV();
        void __fastcall Brightness();
        void __fastcall Blur();
        void __fastcall UserFilter();
public:		// User declarations
        __fastcall TMainForm(TComponent* Owner);
        bool __fastcall CheckWH(AnsiString, AnsiString, int&, int&);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
